package devmanuals.junit;

import static org.junit.Assert.*;

import org.junit.Test;
import devmanuals.junit.Counter;

public class CounterTest {
	Counter ct = new Counter();

	protected void setUp() { // create a (simple)Text fixture
		ct = new Counter();
	}

	public void tearDown() {
	}// No resources to releases

	@Test
	public void testIncrement() {
		assertTrue(ct.increment() == 2);
	}

	@Test
	public void testDecrement() {
		assertTrue(ct.decrement() == 0);
	}

	@Test
	public void testGetcount() {
		assertEquals(1, ct.getcount());
	}

}
